Crystal Space: csRenderBufferHolder Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRenderBufferHolder Class Reference
[3D]

Holder of standard renderbuffers. More...

`#include <ivideo/rndbuf.h>`

Inheritance diagram for csRenderBufferHolder:

[legend]
List of all members.

## Public Member Functions
| csRenderBufferHolder ()
| initialize
iRenderBufferAccessor * | GetAccessor () const
| Query the accessor.
uint | GetAccessorMask () const
| Query the accessor mask.
iRenderBuffer * | GetRenderBuffer (csRenderBufferName bufferName)
| Get buffer by name.
iRenderBuffer * | GetRenderBufferNoAccessor (csRenderBufferName bufferName)
| Get buffer by name.
void | SetAccessor (iRenderBufferAccessor *a, uint32 mask)
| Set accessor.
void | SetRenderBuffer (csRenderBufferName bufferName, iRenderBuffer *buffer)
| Set renderbuffer.
## Protected Attributes
csRef< iRenderBufferAccessor > | accessor
uint32 | accessorMask
csRef< iRenderBuffer > | buffers [CS_BUFFER_COUNT]

## Detailed Description

Holder of standard renderbuffers.

@DOC MORE

Definition at line 288 of file rndbuf.h.

## Constructor & Destructor Documentation

csRenderBufferHolder::csRenderBufferHolder | ( |  | ) | `[inline]`

initialize

Definition at line 292 of file rndbuf.h.

References accessorMask.

## Member Function Documentation

iRenderBufferAccessor* csRenderBufferHolder::GetAccessor | ( |  | ) | const`[inline]`

Query the accessor.

Definition at line 339 of file rndbuf.h.

References accessor.

uint csRenderBufferHolder::GetAccessorMask | ( |  | ) | const`[inline]`

Query the accessor mask.

Definition at line 337 of file rndbuf.h.

References accessorMask.

iRenderBuffer* csRenderBufferHolder::GetRenderBuffer | ( | csRenderBufferName | bufferName | ) | `[inline]`

Get buffer by name.

If an accessor is set, it will first be called, after that the buffer will be fetched.

Definition at line 298 of file rndbuf.h.

References accessor, accessorMask, buffers, CS_BUFFER_INDEX, and CS_BUFFER_MAKE_MASKABLE.

iRenderBuffer* csRenderBufferHolder::GetRenderBufferNoAccessor | ( | csRenderBufferName | bufferName | ) | `[inline]`

Get buffer by name.

This version won't call accessor

Definition at line 312 of file rndbuf.h.

References buffers, and CS_BUFFER_INDEX.

void csRenderBufferHolder::SetAccessor | ( | iRenderBufferAccessor * | a,
|  | uint32 | mask |
| ) |  |  | `[inline]`

Set accessor.

Definition at line 331 of file rndbuf.h.

References accessor, and accessorMask.

void csRenderBufferHolder::SetRenderBuffer | ( | csRenderBufferName | bufferName,
|  | iRenderBuffer * | buffer |
| ) |  |  | `[inline]`

Set renderbuffer.

Definition at line 322 of file rndbuf.h.

References buffers, CS_ASSERT, and CS_BUFFER_COUNT.

The documentation for this class was generated from the following file:

- ivideo/rndbuf.h